From 252a3bde9b6505e6a44b62ae67d451216c677410 Mon Sep 17 00:00:00 2001
From: Sanket Markan <sanketmarkan@gmail.com>
Date: Thu, 10 Mar 2016 23:34:29 +0530
Subject: [PATCH] given folder paths while load and saveas actions

---
 src/Gui/MainWindow.cpp  |  8 ++++----
 src/Project/Project.cpp | 10 ++++++++++
 src/Project/Project.h   |  1 +
 3 files changed, 15 insertions(+), 4 deletions(-)

diff --git a/src/Gui/MainWindow.cpp b/src/Gui/MainWindow.cpp
index 609e710..6e3b409 100644
--- a/src/Gui/MainWindow.cpp
+++ b/src/Gui/MainWindow.cpp
@@ -347,9 +347,9 @@ MainWindow::on_actionSave_triggered()
 void
 MainWindow::on_actionSave_As_triggered()
 {
-    //FIXME: This lacks the current project file path as a default location.
+    QString folder = Core::getInstance()->project()->currentProject();
     QString dest = QFileDialog::getSaveFileName( NULL, QObject::tr( "Enter the output file name" ),
-                                  QString(), QObject::tr( "VLMC project file(*.vlmc)" ) );
+                                  folder, QObject::tr( "VLMC project file(*.vlmc)" ) );
     if ( dest.isEmpty() == true )
         return;
     Core::getInstance()->project()->saveAs( dest );
@@ -358,9 +358,9 @@ MainWindow::on_actionSave_As_triggered()
 void
 MainWindow::on_actionLoad_Project_triggered()
 {
-    // FIXME: We probably could use a default folder.
+    QString folder = VLMC_GET_STRING("vlmc/WorkspaceLocation");
     QString fileName = QFileDialog::getOpenFileName( NULL, tr( "Please choose a project file" ),
-                                    "", tr( "VLMC project file(*.vlmc)" ) );
+                                    folder, tr( "VLMC project file(*.vlmc)" ) );
     if ( fileName.isEmpty() == true )
         return ;
     Core::getInstance()->loadProject( fileName );
diff --git a/src/Project/Project.cpp b/src/Project/Project.cpp
index dee00e9..495068f 100644
--- a/src/Project/Project.cpp
+++ b/src/Project/Project.cpp
@@ -350,3 +350,13 @@ Project::autoSaveIntervalChanged(const QVariant &interval)
         return ;
     m_timer->start( interval.toInt() * 1000 * 60 );
 }
+
+QString
+Project::currentProject()
+{
+    if ( m_projectFile == NULL )
+    {
+        return NULL;
+    }
+    return m_projectFile -> fileName ();
+}
\ No newline at end of file
diff --git a/src/Project/Project.h b/src/Project/Project.h
index 17062d3..34e7086 100644
--- a/src/Project/Project.h
+++ b/src/Project/Project.h
@@ -75,6 +75,7 @@ class Project : public QObject
 
     public:
         static QFile* emergencyBackupFile();
+        QString       currentProject();
 
     private:
         void                initSettings();
-- 
1.9.1

